<?php
/*--------------------------------------------|
| BS-Fusion 1 - Content Management System     |
| Copyright  2009 Manuel Kurz                |
| http://www.bs-fusion.de	                    |
| http://www.bs-fusion.com	                  |
| http://www.bs-fusion.org/                   |
|---------------------------------------------|
| Code based on PHP-Fusion                    |
| http://www.php-fusion.co.uk/                |
|---------------------------------------------|
| Theme BlueLine: Volker Meier (Jumper78)     |
| Date:	25-06-2009                            |
| http://www.bs-f.de          	              |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 3)  |
|--------------------------------------------*/

if (!defined("IN_FUSION")) { header("Location: ../../index.php"); exit; }

// theme settings
$body_text = "#555555";
$body_bg = "#ffffff";
$theme_width = "95%";
$theme_width_l = "170";
$theme_width_r = "170";

$wztool['border_width'] = '1';
$wztool['border_color'] = '#124a97';
$wztool['bgcolor'] = '#F1F1F1'; // #FFFFFF
$wztool['width'] = '0';
$wztool['title_padding'] = '2';
$wztool['padding'] = '2';
$wztool['fcolor'] = '#000000';

$class_custum_pages = 'custum_pages';
$sublinks_position = '0'; // 1 = Oben (Standardeinstellung fr das Theme) ; Jede andere Eingabe (auch keine Eingabe) zeigt die Sublinks an gewohnter Stelle an

// Email-Picture
// text color
$etext_color = array('223','224','225'); // RGB Colors
// background color
$ebg_color = array('0','0','0');		// RGB Colors

define("LEFT_PANEL_START",'<td class="side-border-left" valign="top"><div class="image-left"><img src="'.THEME.'images/blank.gif" width="'.$theme_width_l.'" height="0" border="0" alt="" /></div>');
define("LEFT_PANEL_END",'<br></td>');
define("CONTENT_START",'<td class="main-bg" width="100%" valign="top">');
define("CONTENT_END","</td>");
define("RIGHT_PANEL_START",'<td class="side-border-right" width="'.$theme_width_r.'" valign="top"><div class="image-right"><img src="'.THEME.'images/blank.gif" width="'.$theme_width_r.'" height="0" alt="" /></div>');
define("RIGHT_PANEL_END","<br></td>");

function stripchar($ord) {
$boxname="";
for ($i=0; $i<strlen($ord);$i++) {
if (($ord[$i] >="A" and $ord[$i] <= "Z") or ($ord[$i] >="a" and $ord[$i] <= "z") ) {
$boxname=$boxname.$ord[$i];
}
}
return $boxname;
}

function render_header($header_content=null) {
global $theme_width, $settings,$sublinks_position;

if ($sublinks_position == 1) {
echo "<table class='outer-border' width=".$theme_width." cellspacing='0' cellpadding='0' align='center'>\n";
echo "<tr><td colspan='2'>";
echo "<table width='100%' class='full-header' cellspacing='0' cellpadding='0'>";
echo "<tr><td style='text-align: left; vertical-align:top; padding:4px 0 0 4px;'>".showsublinks("&middot;", "sublinks")."</td><td class='edge'>Keep it simple</td></tr>\n";
echo "<tr><td style='padding: 8px;' colspan='2'><font color='#fff'><b>".$header_content."</b></font></td></tr>\n";
echo "<tr><td style='text-align: right; vertical-align:bottom; padding:4px;' colspan='2'>".showsubdate()."</td></tr>\n";
echo "</table>";
echo "<table cellpadding='0' cellspacing='0' width='100%'><tr>";
}
else {
echo "<table class='outer-border' width='".$theme_width."' cellspacing='0' cellpadding='0' align='center'>\n";
echo '<tr><td colspan="2" class="full-header">'.$header_content.'
</td></tr>
<tr><td class="white-header">
'.showsublinks("", "sublinks_block").'</td><td width="15%" nowrap="nowrap" class="white-header" align="right" style="padding-right:10px; ">
'.showsubdate().'</td></tr>
<tr><td colspan="2">';
echo '<table cellpadding="0" cellspacing="0" width="100%">
<tr>';
}
}

function render_admin_header() {
global $theme_width, $settings,$aidlink,$locale,$sublinks_position;

if ($sublinks_position == 1) {
echo "<table class='outer-border' width=".$theme_width." cellspacing='0' cellpadding='0' align='center'>\n";
echo "<tr><td colspan='2'>";
echo "<table width='100%' class='full-header' cellspacing='0' cellpadding='0'>";
echo "<tr><td style='text-align: left; vertical-align:top; padding:4px 0 0 4px;'>".showsublinks("&middot;", "sublinks")."</td><td class='edge'>Keep it simple</td></tr>\n";
echo "<tr><td style='padding: 10px;' colspan='2'><font color='#ffffff'><img src='../themes/BlueLine/images/header_admin.png' title='Admin-Panel' alt='Admin-Panel'></font></td></tr>\n";
echo "<tr><td style='text-align: left; vertical-align:bottom; padding:4px;'><a href='".BASEDIR."edit_profile.php' class='sublinks'>Profil bearbeiten</a> &middot; <a href='".BASEDIR."messages.php' class='sublinks'>Private Nachrichten</a> &middot; <a href='".BASEDIR."members.php' class='sublinks'>Memberliste</a> &middot; <a href='".BASEDIR."setuser.php?logout=yes' class='sublinks'>Logout</a></td><td style='text-align: right; vertical-align:bottom; padding:4px;' colspan='0'>".showsubdate()."</td></tr>\n";
echo "</table>";
echo "<table cellpadding='0' cellspacing='0' width='100%'><tr>";
}
else {
echo "<table class='outer-border' width='".$theme_width."' cellspacing='0' cellpadding='0' align='center'>\n";
echo '<tr><td colspan="2" class="full-header" style="text-align: left; padding-left:8px ;"><img src="../themes/BlueLine/images/header_admin.png" title="Admin-Panel" alt="Admin-Panel">
</td></tr>
<tr><td class="white-header">
'.showsublinks("", "sublinks_block").'</td><td width="15%" nowrap="nowrap" class="white-header" align="right" style="padding-right:10px; ">
'.showsubdate().'</td></tr>
<tr><td colspan="2">';
echo '<table cellpadding="0" cellspacing="0" width="100%">
<tr>';
}













/*echo "<table class='outer-border' width=".$theme_width." cellspacing='0' cellpadding='0' align='center'>\n";
echo "<tr><td colspan='2'>";
echo "<table width='100%' class='full-header' cellspacing='0' cellpadding='0'>";
echo "<tr><td style='text-align: left; vertical-align:top; padding:4px;' colspan='2'>".showsublinks("&middot;", "sublinks")."</td><td class='edge'>Keep it simple</td></tr>\n";
echo "<tr><td style='padding: 8px;' colspan='0' colspan='2'><font color='#ffffff'><img src='../themes/BlueLine/images/header_admin.png' title='Admin-Panel' alt='Admin-Panel'></font></td></tr>\n";
echo "<tr><td style='text-align: left; vertical-align:bottom; padding:4px;'><a href='".BASEDIR."edit_profile.php' class='sublinks'>Profil bearbeiten</a> &middot; <a href='".BASEDIR."messages.php' class='sublinks'>Private Nachrichten</a> &middot; <a href='".BASEDIR."members.php' class='sublinks'>Memberliste</a> &middot; <a href='".BASEDIR."setuser.php?logout=yes' class='sublinks'>Logout</a></td><td style='text-align: right; vertical-align:bottom; padding:4px;' colspan='0'>".showsubdate()."</td></tr>\n";
echo "</table>";
echo "<table cellpadding='0' cellspacing='0' width='100%'><tr>";*/
}

function render_footer($license=false) {
global $theme_width,$settings,$theme_width_l,$theme_width_r;
echo "\n</tr></table>\n";
echo "</td></tr>";
echo "<tr><td colspan='2' align='center' class='footer'>".stripslashes($settings['footer'])."\n";
echo "</td></tr>";
echo "</table>\n";
echo "<div class='end' align='center' width='".$theme_width."'>Powered by <a href='http://www.bs-fusion.de' class='footerlink' target='_blank'>BS-Fusion</a> v".$settings['version']." &bull; 
	Based on <a href='http://www.php-fusion.co.uk' class='footerlink' target='_blank'>PHP-Fusion</a> &bull; Theme BlueLine by <a href='http://www.volker-meier.net' class='footerlink' target='_blank'>V.M.</a> &bull; ".showcounter()."<br>";
echo "".SERVER_STATS."</div>";
}

function render_news($subject, $news, $info) {
echo"<center><hr width='50%' /></center>
<div style='width:100%' class='border'>
<div class='capmain'>".$subject."</div>
<div class='main-body'>".$news."</div>
<div  class='news-footer'>
".openform("N",$info['news_id']).newsposter($info," - ").newsopts($info,"&middot;").closeform("N",$info['news_id'])."
</div>
</div>";
}

function opentable($title) {
echo "<table width='100%' class='border'>
<tr><td class='capmain'>".$title."</td></tr>
<tr><td class='main-body'>\n";
}

function closetable() {
echo "</td>
</tr>
</table>\n";
}

function openside($title) {	
echo "<div style='width:100%' class='border'>
<div><table width='100%' cellspacing='1' cellpadding='1' class='scapmain'><tr><td>".$title."</td><td width='1%'></td></tr></table></div>
<div class='side-body'>\n";
}

function closeside() {
echo "<br></div>
</div>\n";
tablebreak();
}

function opensidex($title,$state="on") {
$boxname=stripchar($title);
echo "<div style='width:100%' class='border'>
<div onclick=\"javascript:flipBox('$boxname')\" style='cursor:pointer;' />
<table width='100%' cellspacing='1' cellpadding='1' class='scapmain'><tr><td>".$title."</td><td  style='text-align:right;' width='1%'>".panelbutton_div($state,$boxname)."</td></tr></table></div>
<div class='side-body' id='box_".$boxname."'".($state=="off" ? " style='display:none'" :"")." />\n";
}

function closesidex() {
echo "<br><br></div>
</div>\n";
tablebreak();
}

function opentablex($title,$state="on") {
$boxname=stripchar($title);
echo "<div style='width:100%' class='border'>
<div onclick=\"javascript:flipBox('$boxname')\" style='cursor:pointer;' /><table width='100%' cellspacing='1' cellpadding='1' class='scapmain'><tr><td width='1%'>".panelbutton_div($state,$boxname)."</td><td>".$title."</td></tr></table></div>
<div class='side-body' id='box_".$boxname."'".($state=="off" ? " style='display:none'" :"")." />\n";
}

function closetablex() {
echo "</div>
</div>\n";
tablebreak();
}

function tablebreak() {
echo "<div style='width:100%; height:5px'>\n</div>\n";
}

?>